; KEY SMTWTFS start duration <-variable parameters-> directory/filename
; ^   ^       ^     ^   MUST ALWAYS HAVE THE 5 PARAMETERS INDICATED  ^
; KEYwords: DIR: directory | RND: as directory but random order
; STR: stream | RST: random stream from directory of playlists
;   REC: record stream
;
; Error checking is minimal, so ADHERE TO EXAMPLED FORMAT!
;
; More or less, a line is ignored if doesn't have SAVEPATH or one of above
; KEYs in column 1 (after stripping spaces that really shouldn't be present
; anyway). -- Semi-colons here are actually only for show.
;
; INHERENT LIMIT OF 255 LINES because using 8-bit value to refer to line #.
; For REALLY complex scheduling, then, eliminate all these comment lines.
;
; SCHEDULES OVERLAY ACCORDING TO ORDER LISTED; CLASHES SIMPLY DON'T OCCUR!
; Events run - even multiple times - EVERY minute not overlaid.
; This can be HIGHLY convenient to schedule a default action for up to entire
; day (time 00:00, duration 1440).
;
SAVEPATH C:\TEMP
; SAVEPATH directory name is all starting 2nd word, can include spaces
; This directory will be created if does not exist.
;
; spool or specific PATH OPTION for RECord: further option MOVEs to SAVEPATH
; mainly to prevent HD wear and noise by spooling to RAM drive
;   REC _MTWTF_ 11:03 57 PATH "Z:\" MOVE C:\pls\aj.pls
; varied parms start here^    ^quoted     ^filename always at lastpos ":\"
;
;   REC _MTWTF_ 11:02 2:58 PATH "Z:\" MOVE C:\pls\aj.pls
; from v1.0, optional ^hours:minutes form for duration
;
; SPLIT option for RECord breaks long sessions into chunks
;   REC _MTWTF_ 11:02 180 PATH "Z:\" MOVE SPLIT 30 C:\pls\aj.pls
;         follow "SPLIT" with time parameter in ^minutes
;
; ---------------------- actual scheduling follows --------------------------
; more or less demo, random streams for all day except for periods below
RST SMTWTFS 00:00 24:00 15 C:\tz\favored
;
; Sample the "news"
STR SMTWTFS 08:01 15 C:\tz\phc\KAMU.PLS
STR SMTWTF_ 17:01 15 C:\tz\phc\KAMU.PLS
STR ______S 16:01 20 C:\tz\phc\KAMU.PLS
;
; record Car Talk on NPR
REC ______S 09:00 59 PATH "Z:\" MOVE SPLIT 30 C:\tz\phc\KAMU.PLS
;
; record Prairie Home Companion in fairly hi-fi on 128Kbps stream
REC ______S 17:01 1:58 PATH "Z:\" MOVE SPLIT 30 C:\tz\phc\KAMU.PLS
;
; Alex Jones on Infowars.com
REC _MTWTF_ 11:02 2:58 PATH "Z:\" MOVE SPLIT 30 C:\tz\news\aj.pls
;
; Function KeYs jump right to that stream
;
FKY 1 C:\TZ\favored\1FM.pls
FKY 2 C:\TZ\favored\1fmtran.pls
FKY 3 C:\TZ\favored\beatblen.PLS
FKY 4 C:\TZ\favored\schlgpop.pls
FKY 5 C:\TZ\favored\dichill.pls
FKY 6 C:\TZ\favored\france2.pls
FKY 7 C:\TZ\favored\groovsal.pls
FKY 8 C:\TZ\favored\lectriq.pls
FKY 9 C:\TZ\favored\limbik.pls
FKY 10 C:\TZ\favored\parisone.pls
FKY 11 C:\TZ\favored\discofox.pls
FKY 12 C:\TZ\PHC_STR\KAMU.PLS

